singa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shicheng (JIRA)" <j...@apache.org>
Subject [jira] [Created] (SINGA-400) ModuleNotFoundError: No module named '_singa_wrap'
Date Mon, 29 Oct 2018 09:35:00 GMT
Shicheng created SINGA-400:
------------------------------

             Summary: ModuleNotFoundError: No module named '_singa_wrap'
                 Key: SINGA-400
                 URL: https://issues.apache.org/jira/browse/SINGA-400
             Project: Singa
          Issue Type: Improvement
          Components: PySINGA
            Reporter: Shicheng


Hi,

I encountered a bug when I built the singa code from source.

I finish building procedures but when I imported the singa lib, I got the following problem.

Could anyone give me some help? Thanks

 

Python 3.6.6 |Anaconda custom (64-bit)| (default, Jun 28 2018, 17:14:51) 
 [GCC 7.2.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import singa
Traceback (most recent call last):
File "/home/csc/anaconda3/envs/singa/lib/python3.6/site-packages/singa/singa_wrap.py", line
14, in swig_import_helper
return importlib.import_module(mname)
File "/home/csc/anaconda3/envs/singa/lib/python3.6/importlib/__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 994, in _gcd_import
File "<frozen importlib._bootstrap>", line 971, in _find_and_load
File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 658, in _load_unlocked
File "<frozen importlib._bootstrap>", line 571, in module_from_spec
File "<frozen importlib._bootstrap_external>", line 922, in create_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
ImportError: /home/csc/anaconda3/envs/singa/lib/libstdc++.so.6: version `CXXABI_1.3.8' not
found (required by /home/csc/anaconda3/envs/singa/lib/python3.6/site-packages/singa/_singa_wrap.so)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/home/csc/anaconda3/envs/singa/lib/python3.6/site-packages/singa/__init__.py", line
18, in <module>
from . import singa_wrap
File "/home/csc/anaconda3/envs/singa/lib/python3.6/site-packages/singa/singa_wrap.py", line
17, in <module>
_singa_wrap = swig_import_helper()
File "/home/csc/anaconda3/envs/singa/lib/python3.6/site-packages/singa/singa_wrap.py", line
16, in swig_import_helper
return importlib.import_module('_singa_wrap')
File "/home/csc/anaconda3/envs/singa/lib/python3.6/importlib/__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_singa_wrap'



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message